Bug #3396

Adagios fails to install after Samba badlock updates

Added by Giacomo Sanchietti over 3 years ago. Updated over 3 years ago.

Status:CLOSEDStart date:
Priority:NormalDue date:
Assignee:-% Done:

100%

Category:-
Target version:v6.7
Security class: Resolution:
Affected version:v6.7 NEEDINFO:No

Description

After the release of samba updates for badlock updated, the nethserver-nethmonitoring group can't be installed:

[root@v***** /]#   yum groupinstall nethserver-monitoring
Loaded plugins: changelog, fastestmirror, nethserver_events, presto, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * centos-base: mirror.nsc.liu.se
 * centos-updates: mirror.nsc.liu.se
 * nethserver-base: mirror1.nethserver.org
 * nethserver-updates: mirror1.nethserver.org
Package nethserver-ocsinventory-1.0.2-1.ns6.noarch already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package nethserver-adagios.noarch 0:1.0.4-1.ns6 will be installed
--> Processing Dependency: python-setuptools for package: nethserver-adagios-1.0.4-1.ns6.noarch
--> Processing Dependency: pnp4nagios for package: nethserver-adagios-1.0.4-1.ns6.noarch
--> Processing Dependency: okconfig for package: nethserver-adagios-1.0.4-1.ns6.noarch

...

---> Package winexe.x86_64 0:1.1-1.git.0.9d83c1e.el6 will be installed
--> Processing Dependency: liberrors.so(SAMBA_4.0.0RC4)(64bit) for package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64
--> Processing Dependency: libdcerpc-samba.so(SAMBA_4.0.0RC4)(64bit) for package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64
--> Processing Dependency: libcli-ldap.so(SAMBA_4.0.0RC4)(64bit) for package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64
--> Processing Dependency: liberrors.so()(64bit) for package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64
--> Processing Dependency: libdcerpc-samba.so()(64bit) for package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64
--> Processing Dependency: libcli-ldap.so()(64bit) for package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64
--> Finished Dependency Resolution
Error: Package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64 (nethserver-base)
           Requires: libdcerpc-samba.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-66.el6_6.rc4.x86_64 (centos-base)
               libdcerpc-samba.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-67.el6_7.rc4.x86_64 (centos-updates)
               libdcerpc-samba.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-68.el6_7.rc4.x86_64 (centos-updates)
               libdcerpc-samba.so(SAMBA_4.0.0RC4)(64bit)
           Installed: samba4-libs-4.2.10-6.el6_7.x86_64 (@centos-updates)
               Not found
Error: Package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64 (nethserver-base)
           Requires: liberrors.so()(64bit)
           Available: samba4-libs-4.0.0-66.el6_6.rc4.x86_64 (centos-base)
               liberrors.so()(64bit)
           Available: samba4-libs-4.0.0-67.el6_7.rc4.x86_64 (centos-updates)
               liberrors.so()(64bit)
           Available: samba4-libs-4.0.0-68.el6_7.rc4.x86_64 (centos-updates)
               liberrors.so()(64bit)
           Installed: samba4-libs-4.2.10-6.el6_7.x86_64 (@centos-updates)
               Not found
Error: Package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64 (nethserver-base)
           Requires: libcli-ldap.so()(64bit)
           Available: samba4-libs-4.0.0-66.el6_6.rc4.x86_64 (centos-base)
               libcli-ldap.so()(64bit)
           Available: samba4-libs-4.0.0-67.el6_7.rc4.x86_64 (centos-updates)
               libcli-ldap.so()(64bit)
           Available: samba4-libs-4.0.0-68.el6_7.rc4.x86_64 (centos-updates)
               libcli-ldap.so()(64bit)
           Installed: samba4-libs-4.2.10-6.el6_7.x86_64 (@centos-updates)
               Not found
Error: Package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64 (nethserver-base)
           Requires: libcli-ldap.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-66.el6_6.rc4.x86_64 (centos-base)
               libcli-ldap.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-67.el6_7.rc4.x86_64 (centos-updates)
               libcli-ldap.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-68.el6_7.rc4.x86_64 (centos-updates)
               libcli-ldap.so(SAMBA_4.0.0RC4)(64bit)
           Installed: samba4-libs-4.2.10-6.el6_7.x86_64 (@centos-updates)
               Not found
Error: Package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64 (nethserver-base)
           Requires: libdcerpc-samba.so()(64bit)
           Available: samba4-libs-4.0.0-66.el6_6.rc4.x86_64 (centos-base)
               libdcerpc-samba.so()(64bit)
           Available: samba4-libs-4.0.0-67.el6_7.rc4.x86_64 (centos-updates)
               libdcerpc-samba.so()(64bit)
           Available: samba4-libs-4.0.0-68.el6_7.rc4.x86_64 (centos-updates)
               libdcerpc-samba.so()(64bit)
           Installed: samba4-libs-4.2.10-6.el6_7.x86_64 (@centos-updates)
               Not found
Error: Package: winexe-1.1-1.git.0.9d83c1e.el6.x86_64 (nethserver-base)
           Requires: liberrors.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-66.el6_6.rc4.x86_64 (centos-base)
               liberrors.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-67.el6_7.rc4.x86_64 (centos-updates)
               liberrors.so(SAMBA_4.0.0RC4)(64bit)
           Available: samba4-libs-4.0.0-68.el6_7.rc4.x86_64 (centos-updates)
               liberrors.so(SAMBA_4.0.0RC4)(64bit)
           Installed: samba4-libs-4.2.10-6.el6_7.x86_64 (@centos-updates)
               Not found

Upstream bug: https://github.com/opinkerfi/winexe-waf/issues/2

References:

Related issues

Related to NethServer 6 - Bug #3395: Samba Badlock CLOSED

History

#1 Updated by Giacomo Sanchietti over 3 years ago

  • Status changed from NEW to TRIAGED
  • Target version set to v6.7
  • % Done changed from 0 to 20

#2 Updated by Giacomo Sanchietti over 3 years ago

#3 Updated by Giacomo Sanchietti over 3 years ago

  • Status changed from TRIAGED to MODIFIED
  • % Done changed from 20 to 60

#4 Updated by Giacomo Sanchietti over 3 years ago

  • Affected version set to v6.7

#5 Updated by Giacomo Sanchietti over 3 years ago

  • Status changed from MODIFIED to ON_QA
  • % Done changed from 60 to 70
Package in nethserver-testing:
  • winexe-1.1-2.git.0.5aa1beb.el6.x86_64.rpm
Test case
  • Check the bug is not reproducible

#6 Updated by Nicola Rauso over 3 years ago

  • Assignee set to Nicola Rauso

#7 Updated by Nicola Rauso over 3 years ago

  • Status changed from ON_QA to VERIFIED
  • Assignee deleted (Nicola Rauso)
  • % Done changed from 70 to 90
Test case
  • Check the bug is not reproducible

Tested: it works flawlessly

#8 Updated by Giacomo Sanchietti over 3 years ago

  • Status changed from VERIFIED to CLOSED
  • % Done changed from 90 to 100

Released in 6.7/updates and 6.8/base.

Also available in: Atom PDF